## python-utils 2.3.0

=== docs/requirements.txt ===
mock
sphinx
python-utils

=== tests/requirements.txt ===
-r ../requirements.txt
flake8
pytest
pytest-cache
pytest-cov
pytest-flakes
pytest-pep8
sphinx

## python-utils 2.2.0

=== debian/changelog ===
python-utils (2.2.0-1) unstable; urgency=medium

  * Initial release.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 08 Oct 2017 13:34:31 +0200

=== debian/control ===
Source: python-utils
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 10), dh-python,
 python3-all-dev,
 python3-setuptools,
 python3-pytest,
 python3-pytest-runner,
Standards-Version: 4.1.1.0
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: https://github.com/WoLpH/python-utils
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-utils.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-utils.git

Package: python3-python-utils
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Description: collection of small Python functions and classes
 Python Utils is a collection of small Python functions and
 classes which make common patterns shorter and easier.

=== debian/rules ===
#!/usr/bin/make -f

export PYTEST_RUNNER=false

%:
	dh $@ --with python3 \
	      --buildsystem=pybuild \
	      --parallel

override_dh_auto_test:
	@echo "Test harness not supported"

override_dh_install:
	dh_install
	dh_missing --fail-missing

## python-utils 2.3.0

=== debian/changelog ===
python-utils (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for adding python3.8 support.
  * debian/control:
    + Bump debhelper compat to v4.4.1.
    + Mark build-dependency python3-all-dev to be arch:any.
  * debian/rules:
    + Separate dh_missing override.
  * debian/copyright: Fix lintian warning
    (space-in-std-shortname-in-dep5-copyright).

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Dec 2019 14:19:26 -0500

python-utils (2.3.0-1) unstable; urgency=medium

  [ Chris Lamb ]
  * [8d41579] Remove trailing whitespaces.

  [ Bernd Zeimetz ]
  * [9b6ce44] Add .gitlab-ci.yml
  * [00ee440] Update upstream source from tag 'upstream/2.3.0'
    Update to upstream version '2.3.0'
    with Debian dir ef600711cda2f8622ba9b8e1a08fb27eba536400

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 Feb 2019 17:02:35 +0100

python-utils (2.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Chris Lamb ]
  * [8d41579] Remove trailing whitespaces.

  [ Bernd Zeimetz ]
  * [9b6ce44] Add .gitlab-ci.yml
  * [00ee440] Update upstream source from tag 'upstream/2.3.0'
    Update to upstream version '2.3.0'
    with Debian dir ef600711cda2f8622ba9b8e1a08fb27eba536400

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 Feb 2019 17:02:13 +0100

=== debian/control ===
Source: python-utils
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python,
 python3-all-dev:any,
 python3-setuptools,
 python3-pytest,
 python3-pytest-runner,
Standards-Version: 4.4.1
Homepage: https://github.com/WoLpH/python-utils
Vcs-Git: https://salsa.debian.org/python-team/modules/python-utils.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-utils

Package: python3-python-utils
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Description: collection of small Python functions and classes
 Python Utils is a collection of small Python functions and
 classes which make common patterns shorter and easier.

=== debian/rules ===
#!/usr/bin/make -f

export PYTEST_RUNNER=false

%:
	dh $@ --with=python3 \
	      --buildsystem=pybuild

override_dh_auto_test:
	@echo "Test harness not supported"

override_dh_missing:
	dh_missing --fail-missing

## python-utils 3.3.3

=== debian/changelog ===
python-utils (3.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Include documentation in package.
  * Switch from dh --with python in debian/rules to a dh-sequence-python3.
  * d/control: Build-Depends: Add <!nocheck> to python3-pytest.
  * d/control: Build-Depends: Drop python3-pytest-runner, unused.
  * d/control: Update Standards-Version.
  * d/control: Switch Architecture from any to all.
  * d/control: Set Rules-Requires-Root to no.
  * d/rules: Run test suite.
  * d/rules: Remove python_utils.egg-info during clean target.
  * d/tests: Run test suite via autopkgtest.

 -- Edward Betts <edward@4angle.com>  Fri, 29 Jul 2022 23:54:49 +0100

python-utils (2.3.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 15:47:04 -0400

=== debian/control ===
Source: python-utils
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Edward Betts <edward@4angle.com>
Build-Depends: debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-pytest <!nocheck>,
 python3-loguru <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/WoLpH/python-utils
Vcs-Git: https://salsa.debian.org/python-team/packages/python-utils.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-utils

Package: python3-python-utils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends}
Description: collection of small Python functions and classes
 Python Utils is a collection of small Python functions and
 classes which make common patterns shorter and easier.

=== debian/watch ===
version=4
https://github.com/WoLpH/python-utils/releases /WoLpH/python-utils/archive/refs/tags/v([0-9.]+)\.tar\.gz

## python-utils 3.5.2

=== debian/changelog ===
python-utils (3.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Tue, 14 Feb 2023 09:31:55 +0000

python-utils (3.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to check GitHub tags instead of releases.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Fri, 06 Jan 2023 09:06:30 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-pytest <!nocheck>,
  python3-loguru <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/WoLpH/python-utils
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-utils.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-utils

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	cd docs && sphinx-build -M html . _build
endif


override_dh_auto_clean:
	dh_auto_clean
	rm -rf python_utils.egg-info docs/_build

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-pytest, python3-loguru, @

## python-utils 3.7.0

=== debian/changelog ===
python-utils (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Use PYBUILD_TEST_ARGS=--no-cov in debian/rules to stop test coverage
    instead of patching pytest.ini.
  * Add Build-Depends on python3-pytest-cov, it is needed to for pytest to
    support the --no-cov command line argument.
  * Add Build-Depends on python3-typing-extensions, now required by upstream.

 -- Edward Betts <edward@4angle.com>  Sat, 05 Aug 2023 10:09:48 +0100

## python-utils 3.8.2

=== debian/changelog ===
python-utils (3.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Tue, 27 Feb 2024 08:39:00 +0000

python-utils (3.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 28 Sep 2023 13:05:20 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,9 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-pytest <!nocheck>,
- python3-loguru <!nocheck>
+ python3-pytest-cov <!nocheck>,
+ python3-loguru <!nocheck>,
+ python3-typing-extensions <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/WoLpH/python-utils

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_TEST_PYTEST=1
+export PYBUILD_TEST_ARGS=--no-cov -p no:cacheprovider
 
 %:
 	dh $@ --buildsystem=pybuild

## python-utils 3.9.0

=== debian/changelog ===
python-utils (3.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Run wrap-and-sort.

 -- Edward Betts <edward@4angle.com>  Thu, 10 Oct 2024 13:09:25 +0100

=== debian/control ===
Source: python-utils
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Bernd Zeimetz <bzed@debian.org>,
 Edward Betts <edward@4angle.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-loguru <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-typing-extensions <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/WoLpH/python-utils
Vcs-Git: https://salsa.debian.org/python-team/packages/python-utils.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-utils

Package: python3-python-utils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: collection of small Python functions and classes
 Python Utils is a collection of small Python functions and
 classes which make common patterns shorter and easier.

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-loguru,
 python3-pytest,
 @,

## python-utils 3.9.1

=== _python_utils_tests/requirements.txt ===
-e .[tests]

=== debian/changelog ===
python-utils (3.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-depend on python3-pytest-asyncio for better test coverage.
  * Use pybuild-plugin-pyproject.
  * Simplify some debhelper overrides slightly.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Dec 2024 23:40:04 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,11 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-loguru <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov -p no:cacheprovider

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	cd docs && sphinx-build -M html . _build
endif


execute_after_dh_auto_clean:
	rm -rf python_utils.egg-info docs/_build

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-loguru,
 python3-pytest,
 python3-pytest-asyncio,
 @,

=== debian/watch ===
version=4
https://github.com/WoLpH/python-utils/tags .*/v([0-9.]+)\.tar\.gz
